<?php use_helper('Javascript', 'Date', 'Number') ?>


<?
//ACTUALIZACION=> Cuando el proyecto es de Inversion

$cpo = $comision->getProyectos()->getCodigo();
$con = Propel::getConnection();
$sql = "SELECT pro.FUNC_INV FROM PROYECTOS pro WHERE pro.codigo='" . $cpo . "'";

$sentencia = $con->prepareStatement($sql);
$resultset2 = $sentencia->executeQuery();

while ($resultset2->next()) {
    $inv = $resultset2->getString('FUNC_INV');
    //0-Func 1-Inv 2-Todos
    if($inv == 2){
        $inv = 1;
    }
}

if ($inv == 1) {
    ?>

    <?
//TRAER EL RUBRO

    $sql = " select TIPO_GASTO||'-'||UNO||' '||DOS||' '||TRES||' '||CUATRO||' '||CINCO AS RUBRO,DESCRIPCION,ID_RUBRO
FROM(

select clase.tipo_gasto,gen.codigo AS UNO,cod.cod_rub2 AS DOS,cod.cod_rub3 AS TRES,cod.cod_rub4 AS CUATRO,cod.cod_rub5 AS CINCO,cod.descripcion,cod.id_rubro AS ID_RUBRO
FROM PROYECTOS pro
left join PR_CODIF_PRESUP cod ON cod.id_rubro = pro.rubro
left join PR_CLASES_PRESUP clase ON cod.id_clase_presup = clase.id
left join PR_PROG_GEN gen ON cod.cod_rub1 = gen.id


where cod.vigencia='" . $vigencia . "' and clase.id = 9 and pro.codigo = '" . $cpo . "' and pro.ano_fiscal = '" . $vigencia . "'

group by clase.tipo_gasto, gen.codigo,cod.cod_rub2,cod.cod_rub3,cod.cod_rub4,cod.cod_rub5,cod.descripcion,cod.id_rubro
order by clase.tipo_gasto, gen.codigo||' '||cod.cod_rub2||' '||cod.cod_rub3||' '||cod.cod_rub4||' '||cod.cod_rub5,cod.descripcion,cod.id_rubro
)
GROUP BY TIPO_GASTO,UNO,DOS,TRES,CUATRO,CINCO,DESCRIPCION,ID_RUBRO
ORDER BY TIPO_GASTO,UNO,DOS,TRES,CUATRO,CINCO,DESCRIPCION,ID_RUBRO";

    $sentencia = $con->prepareStatement($sql);
    $resultset2 = $sentencia->executeQuery();
    ?>
    <h1>Solicitud de Certificado de Disponibilidad</h1>
    <h2>INVERSION</h2>

    <br/><br/>
    <?php echo form_tag('comisionar/preview_cdp_inv2') ?>
    <?php echo input_hidden_tag('id', $comision->getId()) ?>
    <?php echo input_hidden_tag('vigencia', $comision->getVigencia()) ?>

    <table width="70%">
        <tr align="right">
            <td width="20%" align="left" style="background-color:#D3D3D3"><b>ELIJA</b></td>
            <td width="20%" align="left" style="background-color:#D3D3D3"><b>RUBRO PRESUPUESTAL</b></td>
            <td width="70%" align="left" style="background-color:#D3D3D3"><b>NOMBRE DEL PROYECTO</b></td>
        </tr>
        <?
        while ($resultset2->next()) {
            $rubro = $resultset2->getString('RUBRO');
            $descripcion = $resultset2->getString('DESCRIPCION');
            $id_rubro = $resultset2->getString('ID_RUBRO');
            ?>
            <tr>
                <td><input type="radio" name="rubro[]" id="<? echo 'rubro_' . $id_rubro ?>" value="<? echo $id_rubro ?>" checked="checked" /></td>
                <td width="25%" align="left"><? echo $rubro ?></td>
                <td width="75%" align="left"><? echo $descripcion ?></td>
            </tr>
        <? } ?>

    </table>
    <?php include_partial('partials/submit', array('return' => 'comisionar/filter_preview?id=' . $comision->getId() . '&vigencia=' . $comision->getVigencia())) ?>
<? } ?>
